Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.transports.http
Interface QueryHandler

All Known Subinterfaces:
  StemMatchingQueryHandler

    public interface QueryHandler

Method Summary
`String` | `getResponseContentType(String fullQueryString, String ctx)`
`boolean` | `isRecognizedQuery(String fullQueryString, String ctx, EndpointInfo endpoint)`
`void` | `writeResponse(String fullQueryString, String ctx, EndpointInfo endpoint, OutputStream os)` Write query response to output stream

Method Detail

### isRecognizedQuery

    boolean isRecognizedQuery(String fullQueryString,
                              String ctx,
                              EndpointInfo endpoint)

  Parameters:
    `fullQueryString` - the target full query string (with params) of the request
    `ctx` - the context that was set for this invokation
    `endpoint` - the current endpoint for this context (e.g. the endpoint this Destination was activated for). Null if no current endpoint.
  Returns:
    true iff the URI is a recognized WSDL query

### getResponseContentType

    String getResponseContentType(String fullQueryString,
                                  String ctx)

  Parameters:
    `fullQueryString` - the target full query string (with params) of the request
    `ctx` - the context that was set for this invokation
  Returns:
    the content-type for the response

### writeResponse

    void writeResponse(String fullQueryString,
                       String ctx,
                       EndpointInfo endpoint,
                       OutputStream os)

  Write query response to output stream

  Parameters:
    `fullQueryString` - the target full query string (with params) of the request
    `ctx` - the context that was set for this invokation
    `endpoint` - the current endpoint for this context (e.g. the endpoint this Destination was activated for). Null if no current endpoint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF